using System;
using System.Web.UI.WebControls;
using System.Web.UI;
using System.ComponentModel;

namespace Interval.LoginTemplateControl
{
	/// <summary>
	/// Kontejner pro ablony
	/// </summary>
	[ToolboxItem(false)]
	public class LoginControlContent : Control, INamingContainer
	{
		#region Private variables
		private string m_userName;
		private string m_anonymousMessage;
		private string m_loggedInMessage;
		#endregion Private variables
		/// <summary>
		/// Konstruktor
		/// </summary>
		/// <param name="userName">Jmno uivatele</param>
		/// <param name="anonymousMessage">Zprva pro nepihlenho uivatele</param>
		/// <param name="loggedInMessage">Zprva pro pihlenho uivatele</param>
		internal LoginControlContent(string userName, string anonymousMessage, string loggedInMessage)
		{
			m_userName = userName;
			m_anonymousMessage = anonymousMessage;
			m_loggedInMessage = loggedInMessage;
		}
		
		/// <summary>
		/// Jmno uivatele
		/// </summary>
		public string UserName
		{
			get
			{
				return m_userName;
			}
		}

		/// <summary>
		///Zprva pro nepihlenho uivatele
		/// </summary>
		public string AnonymousMessage
		{
			get
			{
				return m_anonymousMessage;
			}
		}

		/// <summary>
		///Zprva pro pihlenho uivatele
		/// </summary>
		public string LoggedInMessage
		{
			get
			{
				return m_loggedInMessage;
			}
		}
	}
}
